> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/cms/api-cms-block-types.md).

# /api/cms/block‑types

## GET /api/cms/block-types

> Get the definition of each block type

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/block-types"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_cms_block-types":{"type":"object","properties":{"success":{"type":"boolean"}}}}},"paths":{"/api/cms/block-types":{"get":{"description":"Get the definition of each block type","tags":["/api/cms/block-types"],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_cms_block-types"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_cms_block-types"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_cms_block-types"}}}}}}}}}
```
